Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.report
Class JUnitReportCollector

    java.lang.Object
      com.eviware.soapui.report.JUnitReportCollector

All Implemented Interfaces:
  TestRunListener

    public class JUnitReportCollector

extends java.lang.Object
implements TestRunListener

Collects TestRun results and creates JUnitReports

Author:
  ole.matzura

Constructor Summary
`JUnitReportCollector()`

Method Summary
`void` | `afterRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `afterStep(TestRunner testRunner, TestRunContext runContext, TestStepResult result)`
`void` | `beforeRun(TestRunner testRunner, TestRunContext runContext)`
`void` | `beforeStep(TestRunner testRunner, TestRunContext runContext)`
`java.lang.String` | `getReport()`
`java.util.HashMap<java.lang.String,JUnitReport>` | `getReports()`
`void` | `reset()`
`java.util.List<java.lang.String>` | `saveReports(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitReportCollector

    public JUnitReportCollector()

Method Detail

### saveReports

    public java.util.List<java.lang.String> saveReports(java.lang.String path)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getReports

    public java.util.HashMap<java.lang.String,JUnitReport> getReports()

### getReport

    public java.lang.String getReport()

### afterRun

    public void afterRun(TestRunner testRunner,
                         TestRunContext runContext)

  Specified by:
    `afterRun` in interface `TestRunListener`

### afterStep

    public void afterStep(TestRunner testRunner,
                          TestRunContext runContext,
                          TestStepResult result)

  Specified by:
    `afterStep` in interface `TestRunListener`

### beforeRun

    public void beforeRun(TestRunner testRunner,
                          TestRunContext runContext)

  Specified by:
    `beforeRun` in interface `TestRunListener`

### beforeStep

    public void beforeStep(TestRunner testRunner,
                           TestRunContext runContext)

  Specified by:
    `beforeStep` in interface `TestRunListener`

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.